View Issue Details

IDProjectCategoryView StatusLast Update
0002368unrealircdpublic2007-05-17 04:55
ReporterBeastieAssigned Tostskeeps 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version3.2.3 
Target VersionFixed in Version3.3-alpha0 
Summary0002368: TLS cipherlist in set block
DescriptionSince the SHA hashing algorithm family seem to be broken, it would be nice to rid them away from my cipherlist. I know it is still quite hard to crack it, but I'm a maximalist in point of security, and I don't want to use unreliable algorithms.
TagsNo tags attached.
3rd party modules

Relationships

related to 0002971 resolvedsyzop Paranoid SSL settings 

Activities

stskeeps

2007-05-13 11:37

reporter   ~0014114

Implementation notes for takers - if this is for server cipher list:

int SSL_CTX_set_cipher_list(SSL_CTX *ctx, const char *str);

ssl.c:

init_ctx_server - should be done in here

tabrisnet

2007-05-13 19:05

reporter   ~0014122

suggest relationship to bug 2971

stskeeps

2007-05-17 04:55

reporter   ~0014151

Implemented in .2405

Issue History

Date Modified Username Field Change
2005-02-23 16:49 Beastie New Issue
2007-04-27 04:41 stskeeps Status new => acknowledged
2007-05-13 11:37 stskeeps Note Added: 0014114
2007-05-13 19:05 tabrisnet Note Added: 0014122
2007-05-14 04:42 stskeeps Relationship added related to 0002971
2007-05-17 04:55 stskeeps Status acknowledged => resolved
2007-05-17 04:55 stskeeps Fixed in Version => 3.3-alpha0
2007-05-17 04:55 stskeeps Resolution open => fixed
2007-05-17 04:55 stskeeps Assigned To => stskeeps
2007-05-17 04:55 stskeeps Note Added: 0014151